package tvark.beans;

import tvark.old.Property;
import tvark.old.SA1;
import tvark.old.Schedule;

public class ParamsSABean extends MethodParamsBean {
	private int mIterations = 100;	
	private double mInitialTemperature = 1000;
	private double mCoolingRate =1;

	public int getIterations() {
		return mIterations;
	}

	public void setIterations(int pIterations) {
		mIterations = pIterations;
	}

	public double getInitialTemperature() {
		return mInitialTemperature;
	}

	public void setInitialTemperature(double pInitialTemperature) {
		mInitialTemperature = pInitialTemperature;
	}

	public double getCoolingRate() {
		return mCoolingRate;
	}

	public void setCoolingRate(double pCoolingRate) {
		mCoolingRate = pCoolingRate;
	}

	@Override
	protected Schedule execute(Schedule pSchedule, Property pProperty) {
		return new SA1(pSchedule, pProperty).getBest();   // buvo SA1
	}
	
	

}
